export default class History {
    _stacks: any[] | any;
    _pointer: any;
    options: Record<any, any> | any;
    constructor(options?: Record<string, any>);
    get current(): any;
    get canUndo(): boolean;
    get canRedo(): boolean;
    get count(): any;
    get stacks(): any;
    add(data: any): any;
    undo(): any;
    redo(): any;
    destroy(): void;
}
